/*===========================================================================*/
/*   (Eval/expdquote.scm)                                                    */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/expdquote.scm -indent -o objs/obj_u/Eval/expdquote.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EXPANDER_QUOTE_TYPE_DEFINITIONS
#define BGL___EXPANDER_QUOTE_TYPE_DEFINITIONS
#endif													// BGL___EXPANDER_QUOTE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_templatez00zz__expander_quotez00(obj_t, obj_t);
	static obj_t BGl_list1802z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(obj_t,
		obj_t);
	static obj_t BGl_list1811z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_list1812z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_list1817z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_quotez00 = BUNSPEC;
	extern obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_quotez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_symbol1793z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1796z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1797z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_listzd2templatezd2zz__expander_quotez00(obj_t, obj_t);
	static obj_t BGl_z62quasiquotationz62zz__expander_quotez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_quotez00(void);
	static obj_t BGl_genericzd2initzd2zz__expander_quotez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_quotez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__expander_quotez00(void);
	static obj_t BGl_objectzd2initzd2zz__expander_quotez00(void);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_list1795z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_z62expandzd2quotezb0zz__expander_quotez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_templatezd2orzd2splicez00zz__expander_quotez00(obj_t, obj_t);
	extern obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2quotezd2zz__expander_quotez00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_quotez00(void);
	BGL_EXPORTED_DECL obj_t BGl_quasiquotationz00zz__expander_quotez00(obj_t,
		obj_t);
	static obj_t BGl_symbol1800z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1803z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1805z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1807z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1809z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_vectorzd2templatezd2zz__expander_quotez00(obj_t, obj_t);
	static obj_t BGl_symbol1813z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1815z00zz__expander_quotez00 = BUNSPEC;
	extern obj_t bgl_long_to_bignum(long);
	static obj_t *__cnst;


	   
		 
		BGL_DEFINE_STRING(BGl_string1790z00zz__expander_quotez00,
		BgL_bgl_string1790za700za7za7_1820za7, "Illegal `quote' form", 20);
	      BGL_DEFINE_STRING(BGl_string1791z00zz__expander_quotez00,
		BgL_bgl_string1791za700za7za7_1821za7, "quasiquotation", 14);
	      BGL_DEFINE_STRING(BGl_string1792z00zz__expander_quotez00,
		BgL_bgl_string1792za700za7za7_1822za7, "illegal `quasiquote' form", 25);
	      BGL_DEFINE_STRING(BGl_string1794z00zz__expander_quotez00,
		BgL_bgl_string1794za700za7za7_1823za7, "unquote", 7);
	      BGL_DEFINE_STRING(BGl_string1798z00zz__expander_quotez00,
		BgL_bgl_string1798za700za7za7_1824za7, "list", 4);
	      BGL_DEFINE_STRING(BGl_string1799z00zz__expander_quotez00,
		BgL_bgl_string1799za700za7za7_1825za7, "Illegal `unquote' form", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2quotezd2envz00zz__expander_quotez00,
		BgL_bgl_za762expandza7d2quot1826z00,
		BGl_z62expandzd2quotezb0zz__expander_quotez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_quasiquotationzd2envzd2zz__expander_quotez00,
		BgL_bgl_za762quasiquotatio1827za7,
		BGl_z62quasiquotationz62zz__expander_quotez00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1801z00zz__expander_quotez00,
		BgL_bgl_string1801za700za7za7_1828za7, "quasiquote", 10);
	      BGL_DEFINE_STRING(BGl_string1804z00zz__expander_quotez00,
		BgL_bgl_string1804za700za7za7_1829za7, "cons*", 5);
	      BGL_DEFINE_STRING(BGl_string1806z00zz__expander_quotez00,
		BgL_bgl_string1806za700za7za7_1830za7, "list->vector", 12);
	      BGL_DEFINE_STRING(BGl_string1808z00zz__expander_quotez00,
		BgL_bgl_string1808za700za7za7_1831za7, "vector-tag-set!", 15);
	      BGL_DEFINE_STRING(BGl_string1810z00zz__expander_quotez00,
		BgL_bgl_string1810za700za7za7_1832za7, "let", 3);
	      BGL_DEFINE_STRING(BGl_string1814z00zz__expander_quotez00,
		BgL_bgl_string1814za700za7za7_1833za7, "unquote-splicing", 16);
	      BGL_DEFINE_STRING(BGl_string1816z00zz__expander_quotez00,
		BgL_bgl_string1816za700za7za7_1834za7, "eappend", 7);
	      BGL_DEFINE_STRING(BGl_string1818z00zz__expander_quotez00,
		BgL_bgl_string1818za700za7za7_1835za7, "Illegal `unquote-splicing' form",
		31);
	      BGL_DEFINE_STRING(BGl_string1819z00zz__expander_quotez00,
		BgL_bgl_string1819za700za7za7_1836za7, "__expander_quote", 16);
	      BGL_DEFINE_STRING(BGl_string1789z00zz__expander_quotez00,
		BgL_bgl_string1789za700za7za7_1837za7, "quote", 5);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1789z00zz__expander_quotez00,
			BgL_bgl_string1789za700za7za7_1837za7);
		BGL_BIND_STRING(BGl_string1819z00zz__expander_quotez00,
			BgL_bgl_string1819za700za7za7_1836za7);
		BGL_BIND_STRING(BGl_string1818z00zz__expander_quotez00,
			BgL_bgl_string1818za700za7za7_1835za7);
		BGL_BIND_STRING(BGl_string1816z00zz__expander_quotez00,
			BgL_bgl_string1816za700za7za7_1834za7);
		BGL_BIND_STRING(BGl_string1814z00zz__expander_quotez00,
			BgL_bgl_string1814za700za7za7_1833za7);
		BGL_BIND_STRING(BGl_string1810z00zz__expander_quotez00,
			BgL_bgl_string1810za700za7za7_1832za7);
		BGL_BIND_STRING(BGl_string1808z00zz__expander_quotez00,
			BgL_bgl_string1808za700za7za7_1831za7);
		BGL_BIND_STRING(BGl_string1806z00zz__expander_quotez00,
			BgL_bgl_string1806za700za7za7_1830za7);
		BGL_BIND_STRING(BGl_string1804z00zz__expander_quotez00,
			BgL_bgl_string1804za700za7za7_1829za7);
		BGL_BIND_STRING(BGl_string1801z00zz__expander_quotez00,
			BgL_bgl_string1801za700za7za7_1828za7);
		BGL_BIND_PROCEDURE(BGl_quasiquotationzd2envzd2zz__expander_quotez00,
			BgL_bgl_za762quasiquotatio1827za7);
		BGL_BIND_PROCEDURE(BGl_expandzd2quotezd2envz00zz__expander_quotez00,
			BgL_bgl_za762expandza7d2quot1826z00);
		BGL_BIND_STRING(BGl_string1799z00zz__expander_quotez00,
			BgL_bgl_string1799za700za7za7_1825za7);
		BGL_BIND_STRING(BGl_string1798z00zz__expander_quotez00,
			BgL_bgl_string1798za700za7za7_1824za7);
		BGL_BIND_STRING(BGl_string1794z00zz__expander_quotez00,
			BgL_bgl_string1794za700za7za7_1823za7);
		BGL_BIND_STRING(BGl_string1792z00zz__expander_quotez00,
			BgL_bgl_string1792za700za7za7_1822za7);
		BGL_BIND_STRING(BGl_string1791z00zz__expander_quotez00,
			BgL_bgl_string1791za700za7za7_1821za7);
		BGL_BIND_STRING(BGl_string1790z00zz__expander_quotez00,
			BgL_bgl_string1790za700za7za7_1820za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_list1802z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_list1811z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_list1812z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_list1817z00zz__expander_quotez00));
		ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1793z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1796z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1797z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_list1795z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1800z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1803z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1805z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1807z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1809z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1813z00zz__expander_quotez00));
		ADD_ROOT((void *) (&BGl_symbol1815z00zz__expander_quotez00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_quotez00(long
		BgL_checksumz00_2055, char *BgL_fromz00_2056)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_quotez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_quotez00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__expander_quotez00();
					BGl_cnstzd2initzd2zz__expander_quotez00();
					BGl_importedzd2moduleszd2initz00zz__expander_quotez00();
					return BGl_methodzd2initzd2zz__expander_quotez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_quotez00(void)
	{
		{	/* Eval/expdquote.scm 14 */
			BGl_symbol1793z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1794z00zz__expander_quotez00);
			BGl_symbol1796z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1789z00zz__expander_quotez00);
			BGl_list1795z00zz__expander_quotez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1796z00zz__expander_quotez00,
				MAKE_YOUNG_PAIR(BGl_symbol1793z00zz__expander_quotez00, BNIL));
			BGl_symbol1797z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1798z00zz__expander_quotez00);
			BGl_symbol1800z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1801z00zz__expander_quotez00);
			BGl_list1802z00zz__expander_quotez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1796z00zz__expander_quotez00,
				MAKE_YOUNG_PAIR(BGl_symbol1800z00zz__expander_quotez00, BNIL));
			BGl_symbol1803z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1804z00zz__expander_quotez00);
			BGl_symbol1805z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1806z00zz__expander_quotez00);
			BGl_symbol1807z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1808z00zz__expander_quotez00);
			BGl_symbol1809z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1810z00zz__expander_quotez00);
			BGl_list1812z00zz__expander_quotez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1796z00zz__expander_quotez00,
				MAKE_YOUNG_PAIR(BNIL, BNIL));
			BGl_list1811z00zz__expander_quotez00 =
				MAKE_YOUNG_PAIR(BGl_list1812z00zz__expander_quotez00, BNIL);
			BGl_symbol1813z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1814z00zz__expander_quotez00);
			BGl_symbol1815z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1816z00zz__expander_quotez00);
			return (BGl_list1817z00zz__expander_quotez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1796z00zz__expander_quotez00,
					MAKE_YOUNG_PAIR(BGl_symbol1813z00zz__expander_quotez00, BNIL)),
				BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__expander_quotez00(void)
	{
		{	/* Eval/expdquote.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* expand-quote */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2quotezd2zz__expander_quotez00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		{	/* Eval/expdquote.scm 54 */
			if (PAIRP(BgL_xz00_3))
				{	/* Eval/expdquote.scm 55 */
					obj_t BgL_cdrzd2107zd2_1140;

					BgL_cdrzd2107zd2_1140 = CDR(((obj_t) BgL_xz00_3));
					if (PAIRP(BgL_cdrzd2107zd2_1140))
						{	/* Eval/expdquote.scm 55 */
							if (NULLP(CDR(BgL_cdrzd2107zd2_1140)))
								{	/* Eval/expdquote.scm 55 */
									return BgL_xz00_3;
								}
							else
								{	/* Eval/expdquote.scm 55 */
									return
										BGl_expandzd2errorzd2zz__expandz00
										(BGl_string1789z00zz__expander_quotez00,
										BGl_string1790z00zz__expander_quotez00, BgL_xz00_3);
								}
						}
					else
						{	/* Eval/expdquote.scm 55 */
							return
								BGl_expandzd2errorzd2zz__expandz00
								(BGl_string1789z00zz__expander_quotez00,
								BGl_string1790z00zz__expander_quotez00, BgL_xz00_3);
						}
				}
			else
				{	/* Eval/expdquote.scm 55 */
					return
						BGl_expandzd2errorzd2zz__expandz00
						(BGl_string1789z00zz__expander_quotez00,
						BGl_string1790z00zz__expander_quotez00, BgL_xz00_3);
				}
		}

	}



/* &expand-quote */
	obj_t BGl_z62expandzd2quotezb0zz__expander_quotez00(obj_t BgL_envz00_2039,
		obj_t BgL_xz00_2040, obj_t BgL_ez00_2041)
	{
		{	/* Eval/expdquote.scm 54 */
			return
				BGl_expandzd2quotezd2zz__expander_quotez00(BgL_xz00_2040,
				BgL_ez00_2041);
		}

	}



/* quasiquotation */
	BGL_EXPORTED_DEF obj_t BGl_quasiquotationz00zz__expander_quotez00(obj_t
		BgL_dz00_5, obj_t BgL_expz00_6)
	{
		{	/* Eval/expdquote.scm 82 */
			{	/* Eval/expdquote.scm 83 */
				bool_t BgL_test1842z00_2098;

				if (PAIRP(BgL_expz00_6))
					{	/* Eval/expdquote.scm 83 */
						bool_t BgL_test1844z00_2101;

						{	/* Eval/expdquote.scm 83 */
							obj_t BgL_tmpz00_2102;

							BgL_tmpz00_2102 = CDR(BgL_expz00_6);
							BgL_test1844z00_2101 = PAIRP(BgL_tmpz00_2102);
						}
						if (BgL_test1844z00_2101)
							{	/* Eval/expdquote.scm 83 */
								BgL_test1842z00_2098 = NULLP(CDR(CDR(BgL_expz00_6)));
							}
						else
							{	/* Eval/expdquote.scm 83 */
								BgL_test1842z00_2098 = ((bool_t) 0);
							}
					}
				else
					{	/* Eval/expdquote.scm 83 */
						BgL_test1842z00_2098 = ((bool_t) 0);
					}
				if (BgL_test1842z00_2098)
					{	/* Eval/expdquote.scm 83 */
						BGL_TAIL return
							BGl_templatez00zz__expander_quotez00(BgL_dz00_5,
							CAR(CDR(BgL_expz00_6)));
					}
				else
					{	/* Eval/expdquote.scm 83 */
						return
							BGl_expandzd2errorzd2zz__expandz00
							(BGl_string1791z00zz__expander_quotez00,
							BGl_string1792z00zz__expander_quotez00, BgL_expz00_6);
					}
			}
		}

	}



/* &quasiquotation */
	obj_t BGl_z62quasiquotationz62zz__expander_quotez00(obj_t BgL_envz00_2042,
		obj_t BgL_dz00_2043, obj_t BgL_expz00_2044)
	{
		{	/* Eval/expdquote.scm 82 */
			return
				BGl_quasiquotationz00zz__expander_quotez00(BgL_dz00_2043,
				BgL_expz00_2044);
		}

	}



/* template */
	obj_t BGl_templatez00zz__expander_quotez00(obj_t BgL_dz00_7,
		obj_t BgL_expz00_8)
	{
		{	/* Eval/expdquote.scm 90 */
		BGl_templatez00zz__expander_quotez00:
			if (((long) CINT(BgL_dz00_7) == 0L))
				{	/* Eval/expdquote.scm 91 */
					return BgL_expz00_8;
				}
			else
				{	/* Eval/expdquote.scm 93 */
					bool_t BgL_test1846z00_2116;

					if (PAIRP(BgL_expz00_8))
						{	/* Eval/expdquote.scm 93 */
							BgL_test1846z00_2116 =
								(CAR(BgL_expz00_8) == BGl_symbol1793z00zz__expander_quotez00);
						}
					else
						{	/* Eval/expdquote.scm 93 */
							BgL_test1846z00_2116 = ((bool_t) 0);
						}
					if (BgL_test1846z00_2116)
						{	/* Eval/expdquote.scm 94 */
							bool_t BgL_test1848z00_2121;

							{	/* Eval/expdquote.scm 94 */
								bool_t BgL_test1849z00_2122;

								{	/* Eval/expdquote.scm 94 */
									obj_t BgL_tmpz00_2123;

									BgL_tmpz00_2123 = CDR(BgL_expz00_8);
									BgL_test1849z00_2122 = PAIRP(BgL_tmpz00_2123);
								}
								if (BgL_test1849z00_2122)
									{	/* Eval/expdquote.scm 94 */
										BgL_test1848z00_2121 = NULLP(CDR(CDR(BgL_expz00_8)));
									}
								else
									{	/* Eval/expdquote.scm 94 */
										BgL_test1848z00_2121 = ((bool_t) 0);
									}
							}
							if (BgL_test1848z00_2121)
								{	/* Eval/expdquote.scm 94 */
									if ((BgL_dz00_7 == BINT(1L)))
										{	/* Eval/expdquote.scm 96 */
											long BgL_arg1211z00_1172;
											obj_t BgL_arg1213z00_1173;

											BgL_arg1211z00_1172 = ((long) CINT(BgL_dz00_7) - 1L);
											BgL_arg1213z00_1173 = CAR(CDR(BgL_expz00_8));
											{
												obj_t BgL_expz00_2138;
												obj_t BgL_dz00_2136;

												BgL_dz00_2136 = BINT(BgL_arg1211z00_1172);
												BgL_expz00_2138 = BgL_arg1213z00_1173;
												BgL_expz00_8 = BgL_expz00_2138;
												BgL_dz00_7 = BgL_dz00_2136;
												goto BGl_templatez00zz__expander_quotez00;
											}
										}
									else
										{	/* Eval/expdquote.scm 97 */
											obj_t BgL_arg1215z00_1174;

											{	/* Eval/expdquote.scm 97 */
												long BgL_arg1224z00_1178;
												obj_t BgL_arg1225z00_1179;

												BgL_arg1224z00_1178 = ((long) CINT(BgL_dz00_7) - 1L);
												BgL_arg1225z00_1179 = CAR(CDR(BgL_expz00_8));
												BgL_arg1215z00_1174 =
													BGl_templatez00zz__expander_quotez00(BINT
													(BgL_arg1224z00_1178), BgL_arg1225z00_1179);
											}
											{	/* Eval/expdquote.scm 97 */
												obj_t BgL_list1216z00_1175;

												{	/* Eval/expdquote.scm 97 */
													obj_t BgL_arg1217z00_1176;

													{	/* Eval/expdquote.scm 97 */
														obj_t BgL_arg1219z00_1177;

														BgL_arg1219z00_1177 =
															MAKE_YOUNG_PAIR(BgL_arg1215z00_1174, BNIL);
														BgL_arg1217z00_1176 =
															MAKE_YOUNG_PAIR
															(BGl_list1795z00zz__expander_quotez00,
															BgL_arg1219z00_1177);
													}
													BgL_list1216z00_1175 =
														MAKE_YOUNG_PAIR
														(BGl_symbol1797z00zz__expander_quotez00,
														BgL_arg1217z00_1176);
												}
												return BgL_list1216z00_1175;
											}
										}
								}
							else
								{	/* Eval/expdquote.scm 94 */
									return
										BGl_expandzd2errorzd2zz__expandz00
										(BGl_string1794z00zz__expander_quotez00,
										BGl_string1799z00zz__expander_quotez00, BgL_expz00_8);
								}
						}
					else
						{	/* Eval/expdquote.scm 93 */
							if (VECTORP(BgL_expz00_8))
								{	/* Eval/expdquote.scm 99 */
									return
										BGl_vectorzd2templatezd2zz__expander_quotez00(BgL_dz00_7,
										BgL_expz00_8);
								}
							else
								{	/* Eval/expdquote.scm 99 */
									if (PAIRP(BgL_expz00_8))
										{	/* Eval/expdquote.scm 101 */
											return
												BGl_listzd2templatezd2zz__expander_quotez00(BgL_dz00_7,
												BgL_expz00_8);
										}
									else
										{	/* Eval/expdquote.scm 101 */
											if (NULLP(BgL_expz00_8))
												{	/* Eval/expdquote.scm 104 */
													obj_t BgL_list1234z00_1186;

													{	/* Eval/expdquote.scm 104 */
														obj_t BgL_arg1235z00_1187;

														BgL_arg1235z00_1187 =
															MAKE_YOUNG_PAIR(BgL_expz00_8, BNIL);
														BgL_list1234z00_1186 =
															MAKE_YOUNG_PAIR
															(BGl_symbol1796z00zz__expander_quotez00,
															BgL_arg1235z00_1187);
													}
													return BgL_list1234z00_1186;
												}
											else
												{	/* Eval/expdquote.scm 105 */
													bool_t BgL_test1854z00_2159;

													if (CHARP(BgL_expz00_8))
														{	/* Eval/expdquote.scm 105 */
															BgL_test1854z00_2159 = ((bool_t) 1);
														}
													else
														{	/* Eval/expdquote.scm 105 */
															if (INTEGERP(BgL_expz00_8))
																{	/* Eval/expdquote.scm 105 */
																	BgL_test1854z00_2159 = ((bool_t) 1);
																}
															else
																{	/* Eval/expdquote.scm 105 */
																	if (STRINGP(BgL_expz00_8))
																		{	/* Eval/expdquote.scm 105 */
																			BgL_test1854z00_2159 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/expdquote.scm 105 */
																			BgL_test1854z00_2159 =
																				CNSTP(BgL_expz00_8);
																		}
																}
														}
													if (BgL_test1854z00_2159)
														{	/* Eval/expdquote.scm 105 */
															return BgL_expz00_8;
														}
													else
														{	/* Eval/expdquote.scm 108 */
															obj_t BgL_list1240z00_1192;

															{	/* Eval/expdquote.scm 108 */
																obj_t BgL_arg1241z00_1193;

																BgL_arg1241z00_1193 =
																	MAKE_YOUNG_PAIR(BgL_expz00_8, BNIL);
																BgL_list1240z00_1192 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1796z00zz__expander_quotez00,
																	BgL_arg1241z00_1193);
															}
															return BgL_list1240z00_1192;
														}
												}
										}
								}
						}
				}
		}

	}



/* list-template */
	obj_t BGl_listzd2templatezd2zz__expander_quotez00(obj_t BgL_dz00_9,
		obj_t BgL_expz00_10)
	{
		{	/* Eval/expdquote.scm 113 */
			{	/* Eval/expdquote.scm 114 */
				bool_t BgL_test1858z00_2169;

				{	/* Eval/expdquote.scm 114 */
					bool_t BgL_test1859z00_2170;

					{	/* Eval/expdquote.scm 114 */
						bool_t BgL_test1860z00_2171;

						{	/* Eval/expdquote.scm 114 */
							obj_t BgL_tmpz00_2172;

							BgL_tmpz00_2172 = CDR(BgL_expz00_10);
							BgL_test1860z00_2171 = PAIRP(BgL_tmpz00_2172);
						}
						if (BgL_test1860z00_2171)
							{	/* Eval/expdquote.scm 114 */
								BgL_test1859z00_2170 = NULLP(CDR(CDR(BgL_expz00_10)));
							}
						else
							{	/* Eval/expdquote.scm 114 */
								BgL_test1859z00_2170 = ((bool_t) 0);
							}
					}
					if (BgL_test1859z00_2170)
						{	/* Eval/expdquote.scm 114 */
							if (
								(CAR(BgL_expz00_10) == BGl_symbol1796z00zz__expander_quotez00))
								{	/* Eval/expdquote.scm 115 */
									bool_t BgL_test1862z00_2181;

									{	/* Eval/expdquote.scm 115 */
										obj_t BgL_tmpz00_2182;

										BgL_tmpz00_2182 = CAR(CDR(BgL_expz00_10));
										BgL_test1862z00_2181 = PAIRP(BgL_tmpz00_2182);
									}
									if (BgL_test1862z00_2181)
										{	/* Eval/expdquote.scm 115 */
											BgL_test1858z00_2169 =
												(CAR(CAR(CDR(BgL_expz00_10))) ==
												BGl_symbol1800z00zz__expander_quotez00);
										}
									else
										{	/* Eval/expdquote.scm 115 */
											BgL_test1858z00_2169 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/expdquote.scm 115 */
									BgL_test1858z00_2169 = ((bool_t) 0);
								}
						}
					else
						{	/* Eval/expdquote.scm 114 */
							BgL_test1858z00_2169 = ((bool_t) 0);
						}
				}
				if (BgL_test1858z00_2169)
					{	/* Eval/expdquote.scm 114 */
						return
							BGl_quasiquotationz00zz__expander_quotez00(BgL_dz00_9,
							CAR(CDR(BgL_expz00_10)));
					}
				else
					{	/* Eval/expdquote.scm 114 */
						if ((CAR(BgL_expz00_10) == BGl_symbol1800z00zz__expander_quotez00))
							{	/* Eval/expdquote.scm 118 */
								if ((BgL_dz00_9 == BINT(0L)))
									{	/* Eval/expdquote.scm 120 */
										obj_t BgL_arg1278z00_1221;

										if (INTEGERP(BgL_dz00_9))
											{	/* Eval/expdquote.scm 120 */
												obj_t BgL_tmpz00_1793;

												BgL_tmpz00_1793 = BINT(0L);
												{	/* Eval/expdquote.scm 120 */
													bool_t BgL_test1866z00_2202;

													{	/* Eval/expdquote.scm 120 */
														obj_t BgL_tmpz00_2203;

														BgL_tmpz00_2203 = BINT(1L);
														BgL_test1866z00_2202 =
															BGL_ADDFX_OV(BgL_dz00_9, BgL_tmpz00_2203,
															BgL_tmpz00_1793);
													}
													if (BgL_test1866z00_2202)
														{	/* Eval/expdquote.scm 120 */
															BgL_arg1278z00_1221 =
																bgl_bignum_add(bgl_long_to_bignum(
																	(long) CINT(BgL_dz00_9)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Eval/expdquote.scm 120 */
															BgL_arg1278z00_1221 = BgL_tmpz00_1793;
														}
												}
											}
										else
											{	/* Eval/expdquote.scm 120 */
												BgL_arg1278z00_1221 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_dz00_9,
													BINT(1L));
											}
										return
											BGl_quasiquotationz00zz__expander_quotez00
											(BgL_arg1278z00_1221, BgL_expz00_10);
									}
								else
									{	/* Eval/expdquote.scm 121 */
										obj_t BgL_arg1279z00_1222;

										{	/* Eval/expdquote.scm 121 */
											obj_t BgL_arg1283z00_1226;

											if (INTEGERP(BgL_dz00_9))
												{	/* Eval/expdquote.scm 121 */
													obj_t BgL_tmpz00_1803;

													BgL_tmpz00_1803 = BINT(0L);
													{	/* Eval/expdquote.scm 121 */
														bool_t BgL_test1868z00_2216;

														{	/* Eval/expdquote.scm 121 */
															obj_t BgL_tmpz00_2217;

															BgL_tmpz00_2217 = BINT(1L);
															BgL_test1868z00_2216 =
																BGL_ADDFX_OV(BgL_dz00_9, BgL_tmpz00_2217,
																BgL_tmpz00_1803);
														}
														if (BgL_test1868z00_2216)
															{	/* Eval/expdquote.scm 121 */
																BgL_arg1283z00_1226 =
																	bgl_bignum_add(bgl_long_to_bignum(
																		(long) CINT(BgL_dz00_9)),
																	bgl_long_to_bignum(1L));
															}
														else
															{	/* Eval/expdquote.scm 121 */
																BgL_arg1283z00_1226 = BgL_tmpz00_1803;
															}
													}
												}
											else
												{	/* Eval/expdquote.scm 121 */
													BgL_arg1283z00_1226 =
														BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_dz00_9,
														BINT(1L));
												}
											BgL_arg1279z00_1222 =
												BGl_quasiquotationz00zz__expander_quotez00
												(BgL_arg1283z00_1226, BgL_expz00_10);
										}
										{	/* Eval/expdquote.scm 121 */
											obj_t BgL_list1280z00_1223;

											{	/* Eval/expdquote.scm 121 */
												obj_t BgL_arg1281z00_1224;

												{	/* Eval/expdquote.scm 121 */
													obj_t BgL_arg1282z00_1225;

													BgL_arg1282z00_1225 =
														MAKE_YOUNG_PAIR(BgL_arg1279z00_1222, BNIL);
													BgL_arg1281z00_1224 =
														MAKE_YOUNG_PAIR
														(BGl_list1802z00zz__expander_quotez00,
														BgL_arg1282z00_1225);
												}
												BgL_list1280z00_1223 =
													MAKE_YOUNG_PAIR
													(BGl_symbol1797z00zz__expander_quotez00,
													BgL_arg1281z00_1224);
											}
											return BgL_list1280z00_1223;
										}
									}
							}
						else
							{	/* Eval/expdquote.scm 118 */
								if (EPAIRP(BgL_expz00_10))
									{	/* Eval/expdquote.scm 124 */
										obj_t BgL_erz00_1228;

										BgL_erz00_1228 = CER(BgL_expz00_10);
										{	/* Eval/expdquote.scm 125 */
											obj_t BgL_arg1285z00_1229;

											BgL_arg1285z00_1229 =
												BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
												(BgL_dz00_9, BgL_expz00_10);
											{	/* Eval/expdquote.scm 125 */
												obj_t BgL_res1780z00_1814;

												BgL_res1780z00_1814 =
													MAKE_YOUNG_EPAIR
													(BGl_symbol1803z00zz__expander_quotez00,
													BgL_arg1285z00_1229, BgL_erz00_1228);
												return BgL_res1780z00_1814;
											}
										}
									}
								else
									{	/* Eval/expdquote.scm 126 */
										obj_t BgL_arg1287z00_1230;

										BgL_arg1287z00_1230 =
											BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
											(BgL_dz00_9, BgL_expz00_10);
										return
											MAKE_YOUNG_PAIR(BGl_symbol1803z00zz__expander_quotez00,
											BgL_arg1287z00_1230);
									}
							}
					}
			}
		}

	}



/* vector-template */
	obj_t BGl_vectorzd2templatezd2zz__expander_quotez00(obj_t BgL_dz00_11,
		obj_t BgL_expz00_12)
	{
		{	/* Eval/expdquote.scm 131 */
			{	/* Eval/expdquote.scm 132 */
				int BgL_tagzd2valzd2_1243;
				obj_t BgL_reszd2valzd2_1244;

				BgL_tagzd2valzd2_1243 = VECTOR_TAG(BgL_expz00_12);
				{	/* Eval/expdquote.scm 136 */
					obj_t BgL_arg1337z00_1257;

					{	/* Eval/expdquote.scm 136 */
						obj_t BgL_arg1341z00_1260;

						BgL_arg1341z00_1260 =
							BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
							(BgL_dz00_11,
							BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_expz00_12));
						BgL_arg1337z00_1257 =
							MAKE_YOUNG_PAIR(BGl_symbol1803z00zz__expander_quotez00,
							BgL_arg1341z00_1260);
					}
					{	/* Eval/expdquote.scm 133 */
						obj_t BgL_list1338z00_1258;

						{	/* Eval/expdquote.scm 133 */
							obj_t BgL_arg1339z00_1259;

							BgL_arg1339z00_1259 = MAKE_YOUNG_PAIR(BgL_arg1337z00_1257, BNIL);
							BgL_list1338z00_1258 =
								MAKE_YOUNG_PAIR(BGl_symbol1805z00zz__expander_quotez00,
								BgL_arg1339z00_1259);
						}
						BgL_reszd2valzd2_1244 = BgL_list1338z00_1258;
				}}
				if (((long) (BgL_tagzd2valzd2_1243) == 0L))
					{	/* Eval/expdquote.scm 137 */
						return BgL_reszd2valzd2_1244;
					}
				else
					{	/* Eval/expdquote.scm 139 */
						obj_t BgL_reszd2varzd2_1246;

						{	/* Eval/expdquote.scm 139 */

							{	/* Eval/expdquote.scm 139 */

								BgL_reszd2varzd2_1246 =
									BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}
						}
						{	/* Eval/expdquote.scm 140 */
							obj_t BgL_arg1322z00_1247;

							{	/* Eval/expdquote.scm 140 */
								obj_t BgL_arg1329z00_1248;
								obj_t BgL_arg1330z00_1249;

								{	/* Eval/expdquote.scm 140 */
									obj_t BgL_arg1331z00_1250;

									{	/* Eval/expdquote.scm 140 */
										obj_t BgL_arg1332z00_1251;

										BgL_arg1332z00_1251 =
											MAKE_YOUNG_PAIR(BgL_reszd2valzd2_1244, BNIL);
										BgL_arg1331z00_1250 =
											MAKE_YOUNG_PAIR(BgL_reszd2varzd2_1246,
											BgL_arg1332z00_1251);
									}
									BgL_arg1329z00_1248 =
										MAKE_YOUNG_PAIR(BgL_arg1331z00_1250, BNIL);
								}
								{	/* Eval/expdquote.scm 141 */
									obj_t BgL_arg1333z00_1252;
									obj_t BgL_arg1334z00_1253;

									{	/* Eval/expdquote.scm 141 */
										obj_t BgL_arg1335z00_1254;

										{	/* Eval/expdquote.scm 141 */
											obj_t BgL_arg1336z00_1255;

											BgL_arg1336z00_1255 =
												MAKE_YOUNG_PAIR(BINT(BgL_tagzd2valzd2_1243), BNIL);
											BgL_arg1335z00_1254 =
												MAKE_YOUNG_PAIR(BgL_reszd2varzd2_1246,
												BgL_arg1336z00_1255);
										}
										BgL_arg1333z00_1252 =
											MAKE_YOUNG_PAIR(BGl_symbol1807z00zz__expander_quotez00,
											BgL_arg1335z00_1254);
									}
									BgL_arg1334z00_1253 =
										MAKE_YOUNG_PAIR(BgL_reszd2varzd2_1246, BNIL);
									BgL_arg1330z00_1249 =
										MAKE_YOUNG_PAIR(BgL_arg1333z00_1252, BgL_arg1334z00_1253);
								}
								BgL_arg1322z00_1247 =
									MAKE_YOUNG_PAIR(BgL_arg1329z00_1248, BgL_arg1330z00_1249);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol1809z00zz__expander_quotez00,
								BgL_arg1322z00_1247);
						}
					}
			}
		}

	}



/* template-or-splice-list */
	obj_t BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(obj_t
		BgL_dz00_13, obj_t BgL_expz00_14)
	{
		{	/* Eval/expdquote.scm 147 */
			if (NULLP(BgL_expz00_14))
				{	/* Eval/expdquote.scm 149 */
					return BGl_list1811z00zz__expander_quotez00;
				}
			else
				{	/* Eval/expdquote.scm 149 */
					if (PAIRP(BgL_expz00_14))
						{	/* Eval/expdquote.scm 150 */
							if (
								(CAR(BgL_expz00_14) == BGl_symbol1793z00zz__expander_quotez00))
								{	/* Eval/expdquote.scm 152 */
									obj_t BgL_arg1347z00_1266;

									BgL_arg1347z00_1266 =
										BGl_templatez00zz__expander_quotez00(BgL_dz00_13,
										BgL_expz00_14);
									{	/* Eval/expdquote.scm 152 */
										obj_t BgL_list1348z00_1267;

										BgL_list1348z00_1267 =
											MAKE_YOUNG_PAIR(BgL_arg1347z00_1266, BNIL);
										return BgL_list1348z00_1267;
									}
								}
							else
								{	/* Eval/expdquote.scm 153 */
									bool_t BgL_test1874z00_2267;

									{	/* Eval/expdquote.scm 153 */
										bool_t BgL_test1875z00_2268;

										{	/* Eval/expdquote.scm 153 */
											obj_t BgL_tmpz00_2269;

											BgL_tmpz00_2269 = CAR(BgL_expz00_14);
											BgL_test1875z00_2268 = PAIRP(BgL_tmpz00_2269);
										}
										if (BgL_test1875z00_2268)
											{	/* Eval/expdquote.scm 153 */
												BgL_test1874z00_2267 =
													(CAR(CAR(BgL_expz00_14)) ==
													BGl_symbol1813z00zz__expander_quotez00);
											}
										else
											{	/* Eval/expdquote.scm 153 */
												BgL_test1874z00_2267 = ((bool_t) 0);
											}
									}
									if (BgL_test1874z00_2267)
										{	/* Eval/expdquote.scm 154 */
											obj_t BgL_az00_1274;
											obj_t BgL_rz00_1275;

											BgL_az00_1274 =
												BGl_templatezd2orzd2splicez00zz__expander_quotez00
												(BgL_dz00_13, CAR(BgL_expz00_14));
											BgL_rz00_1275 =
												BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
												(BgL_dz00_13, CDR(BgL_expz00_14));
											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_rz00_1275, BGl_list1811z00zz__expander_quotez00))
												{	/* Eval/expdquote.scm 157 */
													obj_t BgL_list1356z00_1277;

													BgL_list1356z00_1277 =
														MAKE_YOUNG_PAIR(BgL_az00_1274, BNIL);
													return BgL_list1356z00_1277;
												}
											else
												{	/* Eval/expdquote.scm 158 */
													obj_t BgL_arg1357z00_1278;

													{	/* Eval/expdquote.scm 158 */
														obj_t BgL_arg1359z00_1280;

														BgL_arg1359z00_1280 =
															MAKE_YOUNG_PAIR
															(BGl_symbol1803z00zz__expander_quotez00,
															BgL_rz00_1275);
														{	/* Eval/expdquote.scm 158 */
															obj_t BgL_list1360z00_1281;

															{	/* Eval/expdquote.scm 158 */
																obj_t BgL_arg1361z00_1282;

																{	/* Eval/expdquote.scm 158 */
																	obj_t BgL_arg1362z00_1283;

																	BgL_arg1362z00_1283 =
																		MAKE_YOUNG_PAIR(BgL_arg1359z00_1280, BNIL);
																	BgL_arg1361z00_1282 =
																		MAKE_YOUNG_PAIR(BgL_az00_1274,
																		BgL_arg1362z00_1283);
																}
																BgL_list1360z00_1281 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1815z00zz__expander_quotez00,
																	BgL_arg1361z00_1282);
															}
															BgL_arg1357z00_1278 = BgL_list1360z00_1281;
														}
													}
													{	/* Eval/expdquote.scm 158 */
														obj_t BgL_list1358z00_1279;

														BgL_list1358z00_1279 =
															MAKE_YOUNG_PAIR(BgL_arg1357z00_1278, BNIL);
														return BgL_list1358z00_1279;
													}
												}
										}
									else
										{	/* Eval/expdquote.scm 153 */
											return
												MAKE_YOUNG_PAIR
												(BGl_templatezd2orzd2splicez00zz__expander_quotez00
												(BgL_dz00_13, CAR(BgL_expz00_14)),
												BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
												(BgL_dz00_13, CDR(BgL_expz00_14)));
										}
								}
						}
					else
						{	/* Eval/expdquote.scm 161 */
							obj_t BgL_arg1373z00_1295;

							BgL_arg1373z00_1295 =
								BGl_templatezd2orzd2splicez00zz__expander_quotez00(BgL_dz00_13,
								BgL_expz00_14);
							{	/* Eval/expdquote.scm 161 */
								obj_t BgL_list1374z00_1296;

								BgL_list1374z00_1296 =
									MAKE_YOUNG_PAIR(BgL_arg1373z00_1295, BNIL);
								return BgL_list1374z00_1296;
							}
						}
				}
		}

	}



/* template-or-splice */
	obj_t BGl_templatezd2orzd2splicez00zz__expander_quotez00(obj_t BgL_dz00_15,
		obj_t BgL_expz00_16)
	{
		{	/* Eval/expdquote.scm 166 */
			{	/* Eval/expdquote.scm 167 */
				bool_t BgL_test1877z00_2294;

				if (PAIRP(BgL_expz00_16))
					{	/* Eval/expdquote.scm 167 */
						BgL_test1877z00_2294 =
							(CAR(BgL_expz00_16) == BGl_symbol1813z00zz__expander_quotez00);
					}
				else
					{	/* Eval/expdquote.scm 167 */
						BgL_test1877z00_2294 = ((bool_t) 0);
					}
				if (BgL_test1877z00_2294)
					{	/* Eval/expdquote.scm 168 */
						bool_t BgL_test1879z00_2299;

						{	/* Eval/expdquote.scm 168 */
							bool_t BgL_test1880z00_2300;

							{	/* Eval/expdquote.scm 168 */
								obj_t BgL_tmpz00_2301;

								BgL_tmpz00_2301 = CDR(BgL_expz00_16);
								BgL_test1880z00_2300 = PAIRP(BgL_tmpz00_2301);
							}
							if (BgL_test1880z00_2300)
								{	/* Eval/expdquote.scm 168 */
									BgL_test1879z00_2299 = NULLP(CDR(CDR(BgL_expz00_16)));
								}
							else
								{	/* Eval/expdquote.scm 168 */
									BgL_test1879z00_2299 = ((bool_t) 0);
								}
						}
						if (BgL_test1879z00_2299)
							{	/* Eval/expdquote.scm 168 */
								if ((BgL_dz00_15 == BINT(1L)))
									{	/* Eval/expdquote.scm 170 */
										long BgL_arg1384z00_1306;
										obj_t BgL_arg1385z00_1307;

										BgL_arg1384z00_1306 = ((long) CINT(BgL_dz00_15) - 1L);
										BgL_arg1385z00_1307 = CAR(CDR(BgL_expz00_16));
										BGL_TAIL return
											BGl_templatez00zz__expander_quotez00(BINT
											(BgL_arg1384z00_1306), BgL_arg1385z00_1307);
									}
								else
									{	/* Eval/expdquote.scm 172 */
										obj_t BgL_arg1386z00_1308;

										{	/* Eval/expdquote.scm 172 */
											obj_t BgL_arg1389z00_1311;

											{	/* Eval/expdquote.scm 172 */
												long BgL_arg1395z00_1315;
												obj_t BgL_arg1396z00_1316;

												BgL_arg1395z00_1315 = ((long) CINT(BgL_dz00_15) - 1L);
												BgL_arg1396z00_1316 = CAR(CDR(BgL_expz00_16));
												BgL_arg1389z00_1311 =
													BGl_templatez00zz__expander_quotez00(BINT
													(BgL_arg1395z00_1315), BgL_arg1396z00_1316);
											}
											{	/* Eval/expdquote.scm 171 */
												obj_t BgL_list1390z00_1312;

												{	/* Eval/expdquote.scm 171 */
													obj_t BgL_arg1391z00_1313;

													{	/* Eval/expdquote.scm 171 */
														obj_t BgL_arg1392z00_1314;

														BgL_arg1392z00_1314 =
															MAKE_YOUNG_PAIR(BgL_arg1389z00_1311, BNIL);
														BgL_arg1391z00_1313 =
															MAKE_YOUNG_PAIR
															(BGl_list1817z00zz__expander_quotez00,
															BgL_arg1392z00_1314);
													}
													BgL_list1390z00_1312 =
														MAKE_YOUNG_PAIR
														(BGl_symbol1797z00zz__expander_quotez00,
														BgL_arg1391z00_1313);
												}
												BgL_arg1386z00_1308 = BgL_list1390z00_1312;
										}}
										{	/* Eval/expdquote.scm 171 */
											obj_t BgL_list1387z00_1309;

											{	/* Eval/expdquote.scm 171 */
												obj_t BgL_arg1388z00_1310;

												BgL_arg1388z00_1310 =
													MAKE_YOUNG_PAIR(BgL_arg1386z00_1308, BNIL);
												BgL_list1387z00_1309 =
													MAKE_YOUNG_PAIR
													(BGl_symbol1797z00zz__expander_quotez00,
													BgL_arg1388z00_1310);
											}
											return BgL_list1387z00_1309;
										}
									}
							}
						else
							{	/* Eval/expdquote.scm 168 */
								return
									BGl_expandzd2errorzd2zz__expandz00
									(BGl_string1814z00zz__expander_quotez00,
									BGl_string1818z00zz__expander_quotez00, BgL_expz00_16);
							}
					}
				else
					{	/* Eval/expdquote.scm 167 */
						BGL_TAIL return
							BGl_templatez00zz__expander_quotez00(BgL_dz00_15, BgL_expz00_16);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_quotez00(void)
	{
		{	/* Eval/expdquote.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_quotez00(void)
	{
		{	/* Eval/expdquote.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_quotez00(void)
	{
		{	/* Eval/expdquote.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_quotez00(void)
	{
		{	/* Eval/expdquote.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
			return BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1819z00zz__expander_quotez00));
		}

	}

#ifdef __cplusplus
}
#endif
